/**
 * IVendorPrefix
 * @memberof module:browser
 * @typedef
 * @property - dom 기준, prefix
 * @property - 소문자로 반환
 * @property - css 기준, prefix
 * @property - js 기준, prefix
 */
interface IVendorPrefix {
    dom: string;
    lowercase: string;
    css: string;
    js: string;
}
/**
 * browser - vendorPrefix 반환
 * @memberof module:browser
 * @see https://davidwalsh.name/vendor-prefix
 * @function
 * @return {IVendorPrefix}
 * @example
import { vendorPrefix } from '@nonoll/code-snippet/browser';
console.log(vendorPrefix()); // {dom: "Webkit", lowercase: "webkit", css: "-webkit-", js: "Webkit"}
 */
export declare const vendorPrefix: () => IVendorPrefix;
export {};
